Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class Iso8601

    java.lang.Object
      java.util.Date
          net.fortuna.ical4j.model.Iso8601

All Implemented Interfaces:
  Serializable, Cloneable, Comparable<Date>

Direct Known Subclasses:
  Date, Time

    public abstract class Iso8601

extends Date

Base class for date and time representations as defined by the ISO 8601 standard. Sub-classes must ensure that either the correct precision is used in constructor arguments, or that `Object.equals()` is overridden to ensure equality checking is consistent with the type.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Constructor Summary
`Iso8601(Date time, String pattern, int precision)`
`Iso8601(long time, String pattern, int precision)`
`Iso8601(String pattern, int precision)`

Method Summary
`protected DateFormat` | `getFormat()`
`void` | `setTime(long time)`
`String` | `toString()`

Methods inherited from class java.util.Date
`after, before, clone, compareTo, equals, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Iso8601

    public Iso8601(long time,
                   String pattern,
                   int precision)

Parameters:
  `time` -
  `pattern` -

### Iso8601

    public Iso8601(String pattern,
                   int precision)

Parameters:
  `pattern` -

### Iso8601

    public Iso8601(Date time,
                   String pattern,
                   int precision)

Parameters:
  `time` -
  `pattern` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Date`

### getFormat

    protected final DateFormat getFormat()

  Returns:
    Returns the format.

### setTime

    public void setTime(long time)

  Overrides:
    `setTime` in class `Date`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.